Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.enhanced
Class UnsupportedPolymorphismException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.hp.hpl.jena.shared.JenaException
                      com.hp.hpl.jena.enhanced.UnsupportedPolymorphismException

All Implemented Interfaces:
  java.io.Serializable

    public class UnsupportedPolymorphismException

extends JenaException

Exception to throw if an enhanced graph does not support polymorphism to a specific class. The exception records the "bad" class and node for later reporting.

See Also:
  Serialized Form

Constructor Summary
`UnsupportedPolymorphismException(EnhNode node, java.lang.Class type)` Initialise this exception with the node that couldn't be polymorphed and the class it couldn't be polymorphed to.

Method Summary
`java.lang.Class` | `getBadClass()` Answer the class that the node couldn't be polymorphed to
`EnhGraph` | `getBadGraph()` Answer the (enhanced) Graph of the node that couldn't be polymorphed; may be null if that node had no attached model.
`java.lang.Object` | `getBadNode()` Answer the node that couldn't be polymorphed.

Methods inherited from class com.hp.hpl.jena.shared.JenaException
`getCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedPolymorphismException

    public UnsupportedPolymorphismException(EnhNode node,
                                            java.lang.Class type)

  Initialise this exception with the node that couldn't be polymorphed and the class it couldn't be polymorphed to.

Method Detail

### getBadGraph

    public EnhGraph getBadGraph()

  Answer the (enhanced) Graph of the node that couldn't be polymorphed; may be null if that node had no attached model.

### getBadClass

    public java.lang.Class getBadClass()

  Answer the class that the node couldn't be polymorphed to

### getBadNode

    public java.lang.Object getBadNode()

  Answer the node that couldn't be polymorphed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP